Name:           osiris
Version:        4.1.8
Release: 	1%{?dist}
Summary:        Osiris is a Host Integrity Monitoring System that periodically monitors one or more hosts for change

Group:          Utilities
License:        GPL
URL:            http://osiris.shmoo.com/

Source0:        osiris-4.1.8.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gawk postgresql-devel openssl openssl-devel which
Requires:	gawk postgresql-devel openssl openssl-devel which

%description
Osiris is a Host Integrity Monitoring System that 
periodically monitors one or more hosts for change. 
It maintains detailed logs of changes to the file system, 
user and group lists, resident kernel modules, and more. 
Osiris can be configured to email these logs to the 
administrator. Hosts are periodically scanned and, if 
desired, the records can be maintained for forensic purposes. 
Osiris keeps an administrator apprised of possible attacks 
and/or nasty little trojans. The purpose here is to isolate 
changes that indicate a break-in or a compromised system. 
Osiris makes use of OpenSSL for encryption and authentication 
in all components. 

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README
/etc/init.d/osirisd
/etc/init.d/osirismd
/usr/osiris/configs/default.aix
/usr/osiris/configs/default.bsdos
/usr/osiris/configs/default.darwin
/usr/osiris/configs/default.freebsd
/usr/osiris/configs/default.irix
/usr/osiris/configs/default.linux
/usr/osiris/configs/default.netbsd
/usr/osiris/configs/default.openbsd
/usr/osiris/configs/default.sunos
/usr/osiris/configs/default.unix-generic
/usr/osiris/configs/default.windows2000
/usr/osiris/configs/default.windowsnt
/usr/osiris/configs/default.windowsserver2003
/usr/osiris/configs/default.windowsxp
/usr/osiris/configs/default.wrt54g
/usr/sbin/osiris
/usr/sbin/osirisd
/usr/sbin/osirismd

%changelog

* Mon Aug 14 2006 Paweł Brach <pawel.brach@aurox.org> 4.1.8-1
- initial aurox release